Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2001._04.xmlenc
Class EncryptedType

    java.lang.Object
      org.w3._2001._04.xmlenc.EncryptedType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EncryptedData, EncryptedKey

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:11+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class EncryptedType

extends Object
implements Serializable

Java class for EncryptedType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncryptionMethod" type="{http://www.w3.org/2001/04/xmlenc#}EncryptionMethodType" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}KeyInfo" minOccurs="0"/>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}CipherData"/>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptionProperties" minOccurs="0"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Encoding" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EncryptedType()`

Method Summary
`CipherData` | `getCipherData()` Gets the value of the cipherData property.
`String` | `getEncoding()` Gets the value of the encoding property.
`EncryptionMethodType` | `getEncryptionMethod()` Gets the value of the encryptionMethod property.
`EncryptionProperties` | `getEncryptionProperties()` Gets the value of the encryptionProperties property.
`String` | `getId()` Gets the value of the id property.
`KeyInfo` | `getKeyInfo()` Gets the value of the keyInfo property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`String` | `getType()` Gets the value of the type property.
`void` | `setCipherData(CipherData value)` Sets the value of the cipherData property.
`void` | `setEncoding(String value)` Sets the value of the encoding property.
`void` | `setEncryptionMethod(EncryptionMethodType value)` Sets the value of the encryptionMethod property.
`void` | `setEncryptionProperties(EncryptionProperties value)` Sets the value of the encryptionProperties property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setKeyInfo(KeyInfo value)` Sets the value of the keyInfo property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedType

    public EncryptedType()

Method Detail

### getEncryptionMethod

    public EncryptionMethodType getEncryptionMethod()

  Gets the value of the encryptionMethod property.

  Returns:
    possible object is `EncryptionMethodType`

### setEncryptionMethod

    public void setEncryptionMethod(EncryptionMethodType value)

  Sets the value of the encryptionMethod property.

  Parameters:
    `value` - allowed object is `EncryptionMethodType`

### getKeyInfo

    public KeyInfo getKeyInfo()

  Gets the value of the keyInfo property.

  Returns:
    possible object is `KeyInfo`

### setKeyInfo

    public void setKeyInfo(KeyInfo value)

  Sets the value of the keyInfo property.

  Parameters:
    `value` - allowed object is `KeyInfo`

### getCipherData

    public CipherData getCipherData()

  Gets the value of the cipherData property.

  Returns:
    possible object is `CipherData`

### setCipherData

    public void setCipherData(CipherData value)

  Sets the value of the cipherData property.

  Parameters:
    `value` - allowed object is `CipherData`

### getEncryptionProperties

    public EncryptionProperties getEncryptionProperties()

  Gets the value of the encryptionProperties property.

  Returns:
    possible object is `EncryptionProperties`

### setEncryptionProperties

    public void setEncryptionProperties(EncryptionProperties value)

  Sets the value of the encryptionProperties property.

  Parameters:
    `value` - allowed object is `EncryptionProperties`

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getEncoding

    public String getEncoding()

  Gets the value of the encoding property.

  Returns:
    possible object is `String`

### setEncoding

    public void setEncoding(String value)

  Sets the value of the encoding property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.